import _extends from '../../../node_modules/.pnpm/@babel_runtime@7.16.3/node_modules/@babel/runtime/helpers/extends.js';
import _styled from 'styled-components';
import React from 'react';
import PropTypes from '../../../node_modules/.pnpm/prop-types@15.7.2/node_modules/prop-types/index.js';
import ButtonBaseWithFocus from '../ButtonBase/ButtonBase.js';
import { useTheme } from '../../theme/Theme2.js';
import { GU } from '../../style/constants.js';

function DropdownItem(_ref) {
  let {
    icon,
    label,
    onClick,
    ...props
  } = _ref;
  const theme = useTheme();
  return /*#__PURE__*/React.createElement(_StyledLi, _extends({}, props, {
    $_css: theme.FloatingAlternativeHover
  }), /*#__PURE__*/React.createElement(_StyledButtonBase, {
    onClick: onClick,
    label: label,
    $_css2: 6 * GU
  }, /*#__PURE__*/React.createElement(_StyledDiv, {
    $_css3: 2 * GU,
    $_css4: theme.surfacePressed
  }, icon && /*#__PURE__*/React.createElement(_StyledImg, {
    src: icon,
    alt: label,
    $_css5: 2 * GU,
    $_css6: 2 * GU
  }), /*#__PURE__*/React.createElement(_StyledDiv2, {
    $_css7: theme.content,
    $_css8: icon ? 1 * GU : 0
  }, label))));
}

DropdownItem.propTypes = {
  icon: PropTypes.string,
  label: PropTypes.string,
  onClick: PropTypes.func
};

var _StyledLi = _styled("li").withConfig({
  displayName: "DropdownItem___StyledLi",
  componentId: "sc-1gb2gh-0"
})(["&:hover{background-color:", ";}"], p => p.$_css);

var _StyledButtonBase = _styled(ButtonBaseWithFocus).withConfig({
  displayName: "DropdownItem___StyledButtonBase",
  componentId: "sc-1gb2gh-1"
})(["width:100%;height:", "px;"], p => p.$_css2);

var _StyledDiv = _styled("div").withConfig({
  displayName: "DropdownItem___StyledDiv",
  componentId: "sc-1gb2gh-2"
})(["display:flex;width:100%;padding:", "px;justify-content:left;align-items:center;&:active,&:focus{background:", ";}"], p => p.$_css3, p => p.$_css4);

var _StyledImg = _styled("img").withConfig({
  displayName: "DropdownItem___StyledImg",
  componentId: "sc-1gb2gh-3"
})(["width:", "px;height:", "px;"], p => p.$_css5, p => p.$_css6);

var _StyledDiv2 = _styled("div").withConfig({
  displayName: "DropdownItem___StyledDiv2",
  componentId: "sc-1gb2gh-4"
})(["flex-grow:1;display:flex;align-items:center;color:", ";margin-left:", "px;"], p => p.$_css7, p => p.$_css8);

export { DropdownItem as default };
//# sourceMappingURL=DropdownItem.js.map
